import { SSO_PRIVATE_KEY, SSO_PRIVATE_KEY_EXPIRATION } from '@config';
import { User } from '@prisma/client';
import jwt from 'jsonwebtoken';

export class AuthHelper {
  public static createAccessToken(user: User) {
    return jwt.sign(
      { 
        user_id: user.user_id
      }, 
      SSO_PRIVATE_KEY, 
      { 
        algorithm: 'RS256',
        expiresIn: SSO_PRIVATE_KEY_EXPIRATION, 
        issuer: "sso-server"
      }
    );
  }
}
