import { Request } from 'express';
import { User } from '@prisma/client';
import { JwtPayload } from 'jsonwebtoken';

export interface DataPayload extends JwtPayload {
  user_id: number;
}

export interface RequestWithUser extends Request {
  user: User;
}

export interface IUserLogin {
  email: string;
  password: string;
}

export interface IUserDataToService {
  user_id: number;
  email: string;
  position_id: number;
  dept_id: number;
  status: number;
}